Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.properties
Class StringProperty

    java.lang.Object
      net.sourceforge.pmd.properties.AbstractPMDProperty
          net.sourceforge.pmd.properties.StringProperty

All Implemented Interfaces:
  java.lang.Comparable<PropertyDescriptor>, PropertyDescriptor

Direct Known Subclasses:
  TypeProperty

    public class StringProperty

extends AbstractPMDProperty

Defines a datatype that supports String values. When capturing multiple values, all strings must be filtered by the delimiter character.

Version:
  $Revision$
Author:
  Brian Remedios

Field Summary
`static char` | `defaultDelimiter`

Fields inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`multiValueDelimiter`

Fields inherited from interface net.sourceforge.pmd.PropertyDescriptor
`emptyPropertySet`

Constructor Summary
`protected` | `StringProperty(java.lang.String theName, java.lang.String theDescription, java.lang.Object theDefaultValue, float theUIOrder, char aMultiValueDelimiter)` Constructor for StringProperty.
`` | `StringProperty(java.lang.String theName, java.lang.String theDescription, java.lang.String[] theValues, float theUIOrder, char aMultiValueDelimiter)` Constructor for StringProperty.
`` | `StringProperty(java.lang.String theName, java.lang.String theDescription, java.lang.String theDefaultValue, float theUIOrder)` Constructor for StringProperty.

Method Summary
`int` | `preferredRowCount()` Method preferredRowCount.
`java.lang.Class<?>` | `type()` Method type.
`protected java.lang.String` | `valueErrorFor(java.lang.Object value)` Method valueErrorFor.
`java.lang.Object` | `valueFrom(java.lang.String valueString)` Method valueFrom.

Methods inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`areEqual, asDelimitedString, asString, choices, compareTo, defaultValue, description, errorFor, isArray, isRequired, maxValueCount, maxValueCount, multiValueDelimiter, multiValueDelimiter, name, propertyErrorFor, typeErrorFor, uiOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultDelimiter

    public static final char defaultDelimiter

See Also:
  Constant Field Values

Constructor Detail

### StringProperty

    public StringProperty(java.lang.String theName,
                          java.lang.String theDescription,
                          java.lang.String theDefaultValue,
                          float theUIOrder)

  Constructor for StringProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefaultValue` - String
    `theUIOrder` - float

### StringProperty

    public StringProperty(java.lang.String theName,
                          java.lang.String theDescription,
                          java.lang.String[] theValues,
                          float theUIOrder,
                          char aMultiValueDelimiter)

  Constructor for StringProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theValues` - String[]
    `theUIOrder` - float
    `aMultiValueDelimiter` - String

### StringProperty

    protected StringProperty(java.lang.String theName,
                             java.lang.String theDescription,
                             java.lang.Object theDefaultValue,
                             float theUIOrder,
                             char aMultiValueDelimiter)

  Constructor for StringProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefaultValue` - Object
    `theUIOrder` - float
    `aMultiValueDelimiter` - String

Method Detail

### type

    public java.lang.Class<?> type()

  Method type.

  Returns:
    Class
  See Also:
    `PropertyDescriptor.type()`

### valueFrom

    public java.lang.Object valueFrom(java.lang.String valueString)

  Method valueFrom.

  Parameters:
    `valueString` - String
  Returns:
    Object
  See Also:
    `PropertyDescriptor.valueFrom(String)`

### valueErrorFor

    protected java.lang.String valueErrorFor(java.lang.Object value)

  Description copied from class: `AbstractPMDProperty`
  Method valueErrorFor.

  Overrides:
    `valueErrorFor` in class `AbstractPMDProperty`
  Parameters:
    `value` - Object
  Returns:
    String

### preferredRowCount

    public int preferredRowCount()

  Description copied from class: `AbstractPMDProperty`
  Method preferredRowCount.

  Specified by:
    `preferredRowCount` in interface `PropertyDescriptor`
  Overrides:
    `preferredRowCount` in class `AbstractPMDProperty`
  Returns:
    int
  See Also:
    `PropertyDescriptor.preferredRowCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.